TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

CheckArgs ( list arglist, list argnames, list defaults )

### Description

<shortdoc> Traverse through `arglist' and bind arguments to argument names in `argnames'. If some arguments are not provided bind them to values from `defaults'. </shortdoc>

### See also

HasOptarg ( list ) -> elt-alg^boo
ExtractOptarg ( list ) -> record

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack